Issue 73331

Summary: Let the Basic IDE work with XModels instead of SfxObjectShells
Product: General Reporter: Frank Schönheit <frank.schoenheit>
Component: codeAssignee: Frank Schönheit <frank.schoenheit>
Status: CLOSED FIXED QA Contact: issues@framework <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: current   
Target Milestone: OOo 2.x   
Hardware: All   
OS: All   
Issue Type: TASK Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on: 73329    
Issue Blocks: 49133    

Description Frank Schönheit 2007-01-10 10:34:21 UTC
That's yet another prerequisite for issue 49133.

Currently, the Basic IDE, when it comes to working on the Basic macros / UNO
dialogs embedded in documents, used SFX-based API to access those macros/dialogs.

In order to allow non-SFX-based applications to embed Basic macros, too, the IDE
needs to use UNO API in all such places, i.e. obtain all necessary information
from an XModel, instead of an SfxObjectShell.
Comment 1 Frank Schönheit 2007-01-10 10:35:00 UTC
depends on issue 73329
Comment 2 Frank Schönheit 2007-08-24 19:48:07 UTC
implemented in CWS basmgr03
Comment 3 Frank Schönheit 2007-09-13 20:42:00 UTC
developer task -> verified myself
Comment 4 thorsten.ziehm 2009-07-20 15:21:09 UTC
This issue is closed automatically and wasn't rechecked in a current version of
OOo. The fixed issue should be integrated in OOo since more than half a year. If
you think this issue isn't fixed in a current version (OOo 3.1), please reopen
it and change the field 'Target Milestone' accordingly.

If you want to download a current version of OOo =>
http://download.openoffice.org/index.html
If you want to know more about the handling of fixed/verified issues =>
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues